Package org.tmatesoft.svn.core.io

# Class SVNCapability

java.lang.Object
org.tmatesoft.svn.core.io.SVNCapability

public class SVNCapability extends Object
This class contains enumeration that describes the repository capabilities or, in other words, features that the repository may be capable of.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SVNCapability`
`ATOMIC_REVPROPS`
Represents the capability of specifying (and atomically verifying) expected preexisting values when modifying revprops.
`static final SVNCapability`
`COMMIT_REVPROPS`
Represents the capability of committing revision properties modifications along with a normal transaction.
`static final SVNCapability`
`DEPTH`
Represents the capability of the repository to understand what the client means when the client describes the depth of a working copy to the server.
`static final SVNCapability`
`EPHEMERAL_PROPS`
`static final SVNCapability`
`GET_FILE_REVS_REVERSED`
`static final SVNCapability`
`INHERITED_PROPS`
`static final SVNCapability`
`LOG_REVPROPS`
Represents the capability of retrieving arbitrary revision properties.
`static final SVNCapability`
`MERGE_INFO`
Represents the capability of the repository to support merge-tracking information.
`static final SVNCapability`
`PARTIAL_REPLAY`
Represents the capability of replaying a directory in the repository (partial replay).

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DEPTH

public static final SVNCapability DEPTH
Represents the capability of the repository to understand what the client means when the client describes the depth of a working copy to the server.

### MERGE_INFO

public static final SVNCapability MERGE_INFO
Represents the capability of the repository to support merge-tracking information.

### LOG_REVPROPS

public static final SVNCapability LOG_REVPROPS
Represents the capability of retrieving arbitrary revision properties.

### PARTIAL_REPLAY

public static final SVNCapability PARTIAL_REPLAY
Represents the capability of replaying a directory in the repository (partial replay).

### COMMIT_REVPROPS

public static final SVNCapability COMMIT_REVPROPS
Represents the capability of committing revision properties modifications along with a normal transaction.

### ATOMIC_REVPROPS

public static final SVNCapability ATOMIC_REVPROPS
Represents the capability of specifying (and atomically verifying) expected preexisting values when modifying revprops.

### INHERITED_PROPS

public static final SVNCapability INHERITED_PROPS

### EPHEMERAL_PROPS

public static final SVNCapability EPHEMERAL_PROPS

### GET_FILE_REVS_REVERSED

public static final SVNCapability GET_FILE_REVS_REVERSED

## Method Details

### toString

public String toString()
Returns a string representation of this object.

Overrides:
  `toString` in class `Object`
Returns:
  this object's string representation